# Licensed Materials - Property of IBM
#
# COPYRIGHT International Business Machines Corp. 2016
# All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.


from pvmcli.command.object_type import ObjectType
import pvmcli.help.help_cluster as help_cluster

from pypowervm.wrappers import cluster
from pypowervm.wrappers import storage
from pypowervm.wrappers import mtms


class Cluster(ObjectType):
    def __init__(self):
        super(Cluster, self).__init__()

        self.add_field_models([cluster.Node, storage.PV, mtms.MTMS])

        self.add_display_operation()

        self.setup_arguments()

    @property
    def model(self):
        return cluster.Cluster

    @property
    def help(self):
        return help_cluster.help_text
