# Licensed Materials - Property of IBM
#
# COPYRIGHT International Business Machines Corp. 2016
# All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.


from pvmcli.util.i18n import _

# TODO: info in help text for add-vlans, remove-vlans operation help text
#       add-vlans: Will make sure that the VLANs are assigned to the
#                  Network Bridge. Will balance the VLANs if Load Balancing
#                  is enabled across appropriate Trunk Adapters. Does not
#                  expose direct VLAN modification on Trunk Adapters.
#       remove-vlans: Remove VLANs from a given Network Bridge. Does not
#                     remove the Primary VLAN ID off of the Network Bridge.
#                     To remove that, the Network Bridge will need to be
#                     deleted. Workload using the VLAN will become
#                     unavailable afterwards.
help_text = _(
    "usage: pvmctl networkbridge [help] <operation> [help] [<args>]\n\n"
    "The networkbridge object type is used to manage all VIOS\n"
    "based network bridges, shared ethernet adapters, load groups,\n"
    "associated backing devices and other associated resources. This does\n"
    "not include management of SDN/OVS bridges.\n\n"
    "Supported operations:\n"
    "    add-vlans             assign vlans to a network bridge\n"
    "    create                create a new network bridge\n"
    "    delete                delete an existing network bridge\n"
    "    list                  list information about network bridges\n"
    "    remove-vlans          remove vlans from a network bridge\n"
    "    update                update a network bridge\n\n"
    "Optional arguments:\n"
    "    --help | help         show this help message and exit\n\n"
    "Object type aliases:\n"
    "    bridge\n"
    "    nbr\n"
    "    sea\n"
    "    sharedethernetadapter\n")
