import sys
import subprocess
from pvmcli.net_conf import utils as utils


def execute_cmd(cmd):
    print(cmd)
    res = subprocess.Popen(
        [cmd], stdout=subprocess.PIPE, stderr=subprocess.PIPE, shell=True)
    out, err = res.communicate()
    out = out.decode("utf-8")
    err = err.decode("utf-8")
    returncode = res.returncode
    return returncode, out, err


def log_cmds(out_file, cmd, vios_name=""):
    if vios_name:
        print("VIOS NAME :"+vios_name)
        out_file.write("VIOS NAME :"+vios_name+'\n')
    out_file.write(cmd+'\n')
    returncode, out, err = execute_cmd(cmd)
    print(out)
    print(err)
    out_file.write(str(out)+'\n')
    out_file.write(str(err)+'\n')


def get_vios_list():
    get_vios_list = "pvmctl vios list | grep -i vios"
    returncode, out, err = execute_cmd(get_vios_list)
    res = str(out).split("\n")
    vios_info = []
    for info in res:
        data = info.split("|")
        if len(data) > 1:
            vios_info.append({'vios_name': data[1], 'id': data[2]})
    return vios_info


def execute_pvmctl_cmds(log_file_path, pvmctl_cmds, pvmutil_cmds, viosvr_cmds):
    with open(log_file_path, 'w+') as out_file:
        for cmd in pvmctl_cmds:
            res = log_cmds(out_file, cmd)
        for cmd in pvmutil_cmds:
            res = log_cmds(out_file, cmd)
        for cmd in viosvr_cmds:
            res = get_vios_list()
            for info in res:
                vios_name = info['vios_name']
                vios_id = str(info['id']).strip()
                vios_vr_cmd = "viosvrcmd --id "+vios_id+" -c "+cmd
                res = log_cmds(out_file, vios_vr_cmd, vios_name)


# Main Function
def main():
    log_path = utils.LOG_FILE_PATH
    execute_pvmctl_cmds(
        log_path, utils.PVMCTL_CMDS, utils.PVMUTIL_CMDS, utils.VIOS_VR_CMDS)
    print(utils.LOG_FILE_MSG)


# Main Function
if __name__ == "__main__":
    sys.exit(main())
