# Licensed Materials - Property of IBM
#
# COPYRIGHT International Business Machines Corp. 2015
# All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.


import configparser
import os


conf = None


def value(section, name):
    '''Config value retrieval utility function.

    :param section: config file section
    :param name: config file name within the given section
    :return: The non-i18n translated string for the given config pair.
    '''
    global conf

    if conf is None:
        # Construct config object for config.ini properties
        conf = configparser.ConfigParser()
        config_path = os.path.dirname(os.path.realpath(__file__))
        conf.read(config_path + '/../config.ini')

    return conf[section][name]
